X
Thinta lapha ukuze uye kuveshini yamakhalekhukhwini kusayithi.

Isithangami Sabeseki

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

How can I throttle firefox?

Kuphostiwe

I have trouble accessing a certain app via the internet. When I point firefox to it there are many files downloaded and many MBytes. The app partially loads then hangs and does not do anything more. I have already spent a huge amount of time trying to troubleshoot and have ruled out the usual kind of trouble such as memory issues etc. I have followed many support articles on this mozilla website.

By looking at technical info and logs I see that firefox sends out many HTTP requests rapidly. Sends many out before receiving a response to one. I think what happens is there are so many responses coming rapidly from the servers that some get dropped in the local internet due to limits on the amount of traffic (congestion). My local internet is known to have limitations.

So I want to try throttling firefox, that is make it send out HTTP requests slowly or wait for a reply before sending the next request. How can I do that?

Again I want to emphasize I have already pursued many tips on this mozilla website so you don't need to suggest any of those.

I have trouble accessing a certain app via the internet. When I point firefox to it there are many files downloaded and many MBytes. The app partially loads then hangs and does not do anything more. I have already spent a huge amount of time trying to troubleshoot and have ruled out the usual kind of trouble such as memory issues etc. I have followed many support articles on this mozilla website. By looking at technical info and logs I see that firefox sends out many HTTP requests rapidly. Sends many out before receiving a response to one. I think what happens is there are so many responses coming rapidly from the servers that some get dropped in the local internet due to limits on the amount of traffic (congestion). My local internet is known to have limitations. So I want to try throttling firefox, that is make it send out HTTP requests slowly or wait for a reply before sending the next request. How can I do that? Again I want to emphasize I have already pursued many tips on this mozilla website so you don't need to suggest any of those.

Eminye Imininingwane Yohlelo

Fakela amapulagi

  • DRM Netscape Network Object
  • DRM Store Netscape Plugin
  • Shockwave Flash 29.0 r0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

Isisebenziso

  • Firefox 45.9.0
  • Umsebenzisi oyi-ejenti: Mozilla/5.0 (Windows NT 5.1; rv:45.0) Gecko/20100101 Firefox/45.0
  • I-URL Yokweseka: https://support.mozilla.org/1/firefox/45.9.0/WINNT/en-US/

Izandiso

  • DOM Inspector 2.0.16.1-signed (inspector@mozilla.org)
  • Firefox Hello Beta 1.1.14 (loop@mozilla.org)
  • FireFTP 2.0.28 ({a7c6cf7f-112c-4500-a7ea-39801a327e5f})
  • Valence 0.3.3 (fxdevtools-adapters@mozilla.org)
  • ADB Helper 0.7.3 (adbhelper@mozilla.org) (Akusebenzi)
  • ImageBlock 2.1 (imageblock@hemantvats.com) (Akusebenzi)
  • Microsoft .NET Framework Assistant 1.2.1 ({20a82645-c095-46ed-80e3-08825760534b}) (Akusebenzi)
  • Theme Font & Size Changer 7.7 ({f69e22c7-bc50-414a-9269-0f5c344cd94c}) (Akusebenzi)

I-Javascript

  • incrementalGCEnabled: True

Imidwebo

  • adapterDescription: NVIDIA GeForce2 MX/MX 400 (Microsoft Corporation)
  • adapterDescription2:
  • adapterDeviceID: 0x0110
  • adapterDeviceID2:
  • adapterDrivers: nv4_disp
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterSubsysID: 00000000
  • adapterSubsysID2:
  • adapterVendorID: 0x10de
  • adapterVendorID2:
  • direct2DEnabled: False
  • direct2DEnabledMessage: [u'tryNewerDriver', u'182.65']
  • directWriteEnabled: False
  • directWriteVersion: 0.0.0.0
  • driverDate: 4-7-2004
  • driverDate2:
  • driverVersion: 5.6.7.3
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'cairo', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'tryNewerDriver', u'182.65']
  • numTotalWindows: 3
  • supportsHardwareH264: No; Failed to create H264 decoder
  • webglRendererMessage: [u'tryNewerDriver', u'182.65']
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Basic

Okuthandwayo Okulungisiwe

Misc

  • Umsebenzisi JS: Yebo
  • Ukufinyeleleka: Cha
jscher2000
  • Top 10 Contributor
8572 izisombululo 70092 izimpendulo
Kuphostiwe

ayrehead2 said

I want to emphasize I have already pursued many tips on this mozilla website so you don't need to suggest any of those.

Which ones were they?

And why are you running Firefox 45? I don't think anyone is going to remember its network settings at this point.

Can you use the app in another browser instead as a workaround?

''ayrehead2 [[#question-1235154|said]]'' <blockquote>I want to emphasize I have already pursued many tips on this mozilla website so you don't need to suggest any of those. </blockquote> Which ones were they? And why are you running Firefox 45? I don't think anyone is going to remember its network settings at this point. Can you use the app in another browser instead as a workaround?
Shadow110 1072 izisombululo 14836 izimpendulo
Kuphostiwe

Separate Security Issue, please update your Flash 29.0 r0 by removing it with this tool : https://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html If you use it Reinstall with Flash Player Version: 31.0.0.108 Current Version https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, . . . .) Note: Other software is offered in the download. <Windows Only>

Please note : Support for XP/Vista ended Sept 3rd with version 52.9.0esr

Please start making moves other OS's such as Linux as your a security issue for yourself and everyone else on the net.

Have no idea how to throttle a ancient unsupported version 45

Use a Download Manager if can find one that supports XP : https://addons.mozilla.org/firefox/search/?platform=windows&q=download%20manager

'''''Separate''''' Security Issue, please update your Flash 29.0 r0 by removing it with this tool : https://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html If you use it Reinstall with Flash Player Version: 31.0.0.108 Current Version https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, . . . .) Note: Other software is offered in the download. <Windows Only> Please note : Support for XP/Vista ended Sept 3rd with version 52.9.0esr Please start making moves other OS's such as Linux as your a security issue for yourself and everyone else on the net. Have no idea how to throttle a ancient unsupported version 45 Use a Download Manager if can find one that supports XP : https://addons.mozilla.org/firefox/search/?platform=windows&q=download%20manager

Umnikazi wombuzo

@jscher2000 : I'm running widows XP so cannot go beyond FF 45 ESR. Other browsers are not compatible either. And Flash Player has limited compatibility.

@jscher2000 : I'm running widows XP so cannot go beyond FF 45 ESR. Other browsers are not compatible either. And Flash Player has limited compatibility.
Shadow110 1072 izisombululo 14836 izimpendulo
Kuphostiwe

XP will support 52.9.0esr as already mentioned as well will support latest Flash.

XP will support 52.9.0esr as already mentioned as well will support latest Flash.
jscher2000
  • Top 10 Contributor
8572 izisombululo 70092 izimpendulo
Kuphostiwe

The last version of Firefox for Windows XP was the Extended Support Release of Firefox 52 (specifically, 52.9.0esr).

Windows system requirements are the same:

See also: Important - Firefox has ended support for Windows XP and Vista

The last version of Firefox for Windows XP was the Extended Support Release of Firefox 52 (specifically, 52.9.0esr). Windows system requirements are the same: * https://www.mozilla.org/firefox/45.0esr/system-requirements/ * https://www.mozilla.org/firefox/52.0esr/system-requirements/ See also: [[Important - Firefox has ended support for Windows XP and Vista]]
James
  • Moderator
1593 izisombululo 11223 izimpendulo
Kuphostiwe

ayrehead2 said

@jscher2000 : I'm running widows XP so cannot go beyond FF 45 ESR. Other browsers are not compatible either.

This is partially true only if your CPU does not support SSE2 then 45.9.0esr is more up to date compared to 48.0.2. https://www.mozilla.org/firefox/49.0/system-requirements/

However if you have Pentium 4 or a AMD CPU that does support SSE2 the last was Firefox 52.9.0 ESR. https://www.mozilla.org/firefox/52.9.0/system-requirements/

Chromium, Chrome, Opera dropped support of Windows XP and Vista along with Mac OSX 10.6, 10.7, 10.8 back in April 2016.

''ayrehead2 [[#answer-1158235|said]]'' <blockquote> @jscher2000 : I'm running widows XP so cannot go beyond FF 45 ESR. Other browsers are not compatible either. </blockquote> This is partially true only if your CPU does not support SSE2 then 45.9.0esr is more up to date compared to 48.0.2. https://www.mozilla.org/firefox/49.0/system-requirements/ However if you have Pentium 4 or a AMD CPU that does support SSE2 the last was Firefox '''52.9.0 ESR'''. https://www.mozilla.org/firefox/52.9.0/system-requirements/ Chromium, Chrome, Opera dropped support of Windows XP and Vista along with Mac OSX 10.6, 10.7, 10.8 back in April 2016.

Okulungisiwe ngu James

James
  • Moderator
1593 izisombululo 11223 izimpendulo
Kuphostiwe

jscher2000 said

Windows system requirements are the same:

If you have a CPU that supports SSE2 then yes.

https://www.mozilla.org/firefox/49.0/releasenotes/ https://www.mozilla.org/firefox/49.0/system-requirements/

''jscher2000 [[#answer-1158239|said]]'' <blockquote> Windows system requirements are the same: </blockquote> If you have a CPU that supports SSE2 then yes. https://www.mozilla.org/firefox/49.0/releasenotes/ https://www.mozilla.org/firefox/49.0/system-requirements/

Umnikazi wombuzo

I have an AMD cpu dated 2002 and it doesn't have the SSE2 feature. That prevents me from updating firefox to a later release. I know that XP is officially obsolete, but the only way I can migrate to something newer is to buy a whole new computer.

So I still want to find some way to throttle firefox. Maybe some setting in about:config?

I have an AMD cpu dated 2002 and it doesn't have the SSE2 feature. That prevents me from updating firefox to a later release. I know that XP is officially obsolete, but the only way I can migrate to something newer is to buy a whole new computer. So I still want to find some way to throttle firefox. Maybe some setting in about:config?
Shadow110 1072 izisombululo 14836 izimpendulo
Kuphostiwe

Hi, not that I know of for Firefox.

You can do it at the OS level though change MTU for Network Card.

Since do not know if you want to go this route nor what else is going on it would be best that you researched this for slow as I always did it for faster.

https://www.google.com/search?q=winxp+spped+mtu&ie=utf-8&oe=utf-8&client=firefox-b

Hi, not that I know of for Firefox. You can do it at the OS level though change MTU for Network Card. Since do not know if you want to go this route nor what else is going on it would be best that you researched this for slow as I always did it for faster. https://www.google.com/search?q=winxp+spped+mtu&ie=utf-8&oe=utf-8&client=firefox-b